{{ config(materialized='table', alias='shopify_shipping_city_period') }}

SELECT 
    CITY,CONCAT(SHIPPING_ADDRESS_CITY, ', ',SHIPPING_ADDRESS_COUNTRY) ADDRESS,  TOTAL_SALES, ORDER_DATE
FROM 
(Select 
 SHIPPING_ADDRESS_CITY as CITY, SUM(TOTAL_PRICE_USD) as TOTAL_SALES, CREATED_AT::DATE AS ORDER_DATE 
FROM "FIVETRAN_DATABASE"."SHOPIFY_DS"."ORDER"
group by SHIPPING_ADDRESS_CITY, CREATED_AT::DATE
)CITY 
LEFT JOIN (SELECT DISTINCT SHIPPING_ADDRESS_COUNTRY, SHIPPING_ADDRESS_CITY FROM "FIVETRAN_DATABASE"."SHOPIFY_DS"."ORDER") ADD
ON ADD.SHIPPING_ADDRESS_CITY = CITY.CITY
ORDER BY 3 DESC